Inhalte
Index 🔎︎

# Anweisung Close

Schließt eine Datei, die mit der Anweisung Open geöffnet wurde.

## Syntax:

    Close Dateinummer As Integer[, Dateinummer2 As Integer[,...]]

## Parameter:

Dateinummer: Beliebiger Ausdruck vom Typ Integer, der die Nummer des Datenkanals beschreibt, der zuvor mit der Anweisung Open geöffnet wurde.

## Beispiel:

    Sub ExampleWorkWithAFile
    Dim iNumber As Integer
    Dim sLine As String
    Dim aFile As String
    Dim sMsg As String
        aFile = "c:\data.txt"
        sMsg = ""
        iNumber = Freefile
        Open aFile For Output As #iNumber
        Print #iNumber, "Das ist eine Zeile Text"
        Print #iNumber, "Das ist eine weitere Zeile Text"
        Close #iNumber
        iNumber = Freefile
        Open aFile For Input As iNumber
        While Not eof(iNumber)
            Line Input #iNumber, sLine
            If sLine <>"" Then
                sMsg = sMsg & sLine & chr(13)
            End If
        Wend
        Close #iNumber
        MsgBox sMsg
    End Sub